> ### Apache HTTP Server Version 2.0

> # Apache Module mod_cache

> Description: | Content cache keyed to URIs
> Status: | Experimental
> Module Identifier: | cache_module

> ## Summary

> > This module is experimental. Documentation is still under development...

> mod_cache implements an RFC 2616 compliant HTTP content cache that can be used to cache either local or proxied content. mod_cache requires the services of one or more storage management modules. Two storage management modules are included in the base Apache distribution: mod_disk_cache implements a disk based storage manager (generally used for proxy caching) and mod_mem_cache implements an in-memory based storage manager (primarily useful for caching local content).

> Content stored and retrived keyed to the URL. Content with access protections is not cached.

> ## Directives

> - CacheDefaultExpire
> - CacheDisable
> - CacheEnable
> - CacheIgnoreCacheControl
> - CacheIgnoreNoLastMod
> - CacheLastModifiedFactor
> - CacheMaxExpire
> - CacheOn

> ## Sample Configuration

> > Sample httpd.conf `# # Sample Cache Configuration # LoadModule cache_module modules/mod_cache.so <IfModule mod_cache.c> CacheOn On #LoadModule disk_cache_module modules/mod_disk_cache.so <IfModule mod_disk_cache.c> CacheRoot c:/cacheroot CacheEnable disk / CacheDirLevels 5 CacheDirLength 3 </IfModule> LoadModule mem_cache_module modules/mod_mem_cache.so <IfModule mod_mem_cache.c> CacheEnable mem / CacheSize 4096 CacheMaxObjectCount 100 CacheMinObjectSize 1 CacheMaxObjectSize 2048 </IfModule> </IfModule>`

> ## CacheDefaultExpire Directive

> Description: |
> Syntax: |
> Context: | server config
> Status: | Experimental
> Module: | mod_cache

> The default time in seconds to cache a document.

> > `CacheDefaultExpire 86400`

> ## CacheDisable Directive

> Description: | Disable caching of specified URLs by specified storage manager
> Syntax: | CacheDisable cache_type url-string
> Context: | server config
> Status: | Experimental
> Module: | mod_cache

> The `CacheDisable` directive instructs mod_cache to not cache urls at or above url-string.

> > Example `CacheDisable disk /local_files`

> ## CacheEnable Directive

> Description: | Enable caching specified URLs in a specified storage manager
> Syntax: | CacheEnable cache_type url-string
> Context: | server config
> Status: | Experimental
> Module: | mod_cache

> The `CacheEnable` directive instructs mod_cache to cache urls at or below url-string. The cache store is specified with the cache_type argument. cache_type mem instructs mod_cache to use the in-memory cache storage manager implemented by mod_mem_cache. cache_type disk instructs mod_cache to use the cache storage manager implemented by mod_disk_cache .

> > `CacheEnable disk / CacheEnable mem /manual`

> ## CacheIgnoreCacheControl Directive

> Description: | Ignore requests from the client for uncached content
> Syntax: |
> Context: | server config
> Status: | Experimental
> Module: | mod_cache

> Ignore requests from the client for uncached content

> > `CacheIgnoreNoLastMod`

> ## CacheIgnoreNoLastMod Directive

> Description: | Ignore responses where there is no Last Modified Header
> Syntax: |
> Context: | server config
> Status: | Experimental
> Module: | mod_cache

> Ignore responses where there is no Last Modified Header

> > `CacheIgnoreNoLastMod`

> ## CacheLastModifiedFactor Directive

> Description: | The factor used to estimate the Expires date from the LastModified date
> Syntax: |
> Context: | server config
> Status: | Experimental
> Module: | mod_cache

> The factor used to estimate the Expires date from the LastModified date.

> > `CacheLastModifiedFactor`

> ## CacheMaxExpire Directive

> Description: | The maximum time in seconds to cache a document
> Syntax: |
> Context: | server config
> Status: | Experimental
> Module: | mod_cache

> The maximum time in seconds to cache a document.

> > `CacheMaxExpire 604800`

> ## CacheOn Directive

> Description: |
> Syntax: | CacheOn
> Context: | server config
> Status: | Experimental
> Module: | mod_cache

> > `CacheOn`

> ### Apache HTTP Server Version 2.0